# VueLayers

> Web map Vue components with the power of OpenLayers

[![GitHub tag](https://img.shields.io/github/tag/ghettovoice/vuelayers.svg)](https://github.com/ghettovoice/vuelayers/releases)
[![NPM version](https://img.shields.io/npm/v/vuelayers.svg)](https://www.npmjs.com/package/vuelayers)
[![License](https://img.shields.io/github/license/ghettovoice/vuelayers.svg)](https://github.com/ghettovoice/vuelayers/blob/master/LICENSE)

<iframe src="https://ghbtns.com/github-btn.html?user=ghettovoice&amp;repo=vuelayers&amp;type=star&amp;count=true&amp;size=large" 
    frameborder="0" scrolling="0" class="github-button vld-github-btn" width="140px" height="30px"></iframe>

<iframe src="https://ghbtns.com/github-btn.html?user=ghettovoice&amp;repo=vuelayers&amp;type=fork&amp;count=true&amp;size=large" 
    frameborder="0" scrolling="0" class="github-button vld-github-btn" width="140px" height="30px"></iframe>

## Overview

**VueLayers** is components library that brings the powerful **OpenLayers API** to the **Vue.js** reactive world. 
It can display maps with tiled, raster or vector layers loaded from different sources.

See the [Quick start](quickstart.md "Quick start guide") for more details how to install and use it.

## Versions

| VueLayers         | Branch                                                           | Vue      | OpenLayers | NPM tag   |
|:------------------|:-----------------------------------------------------------------|:---------|:-----------|:----------|
| Current **0.12**  | [master](https://github.com/ghettovoice/vuelayers/tree/master)   | **^2.3** | **^6.0**   | `latest`  |
| Previous **0.11** | [v0.11.x](https://github.com/ghettovoice/vuelayers/tree/v0.11.x) | **^2.3** | **^5.0**   | `0.11.x`  |
| Previous **0.10** | [v0.10.x](https://github.com/ghettovoice/vuelayers/tree/v0.10.x) | **^2.0** | **^4.0**   | `0.10.x`  |

## Features

* Display raster, vector, tiled layers
* Draw and modify vector features
* Easy to extend with the help of multiple mixins
* UMD / ES6 build versions

## Requirements

- [Vue](https://vuejs.org/) version **^2.3**
- [OpenLayers](https://openlayers.org/) version **^6.0**

## Live demo

Check out [VueLayers Demo application](demo.md "VueLayers Demo application") to see how it works.

## License

Licensed under the **MIT** (c) 2017-2020, [Vladimir Vershinin](https://ghettovoice.github.io/)  
Based on [Vue](https://vuejs.org/ "Vue.js Homepage") and [OpenLayers](https://openlayers.org/ "OpenLayers Homepage")
